# MLParser | opentoken
Documentation for opentoken

Namespace containing the code for Parsing the mail list.

## Index

### Interfaces

- MLItem

### Functions

- parseMails

## Functions

### parseMails

- parseMails(config: any, dataSafe: SecureVault ): Promise< MLItem []>

- - Defined in src/mailParser.ts:54

  Encrypts and appends data to SecureVault. Also writes data to transaction log using @function writeTransaction

  #### Parameters

  - ##### config: any

    Reference to config object. This Function uses the following variables: inFileMail -> String reference to mail list force -> Boolean value. If true all mails are resent. usedMails -> Array of Strings. Specifies already served mail adresses.

  - ##### dataSafe: SecureVault

    Reference to safe object. This is needed for writing to the vault.log file

  #### Returns Promise< MLItem []>

  Returns an array of all parsed mail adresses as promise

Generated using TypeDoc